/*-----------------------------------*\
 * #style.css
\*-----------------------------------*/

/**
 * copyright 2022 codewithsadee
 */





/*-----------------------------------*\
 * #CUSTOM PROPERTY
\*-----------------------------------*/


html {
  font-family: 'Poppins', sans-serif !important;
  scroll-behavior: smooth;
}


.fs-5xl{
  font-size: 70px;
}


/*-----------------------------------*\
 * #HEADER
\*-----------------------------------*/


/*-----------------------------------*\
 * #HERO
\*-----------------------------------*/

.hero {
  background-image: url("../assets/images/banner2.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-color: hsla(0, 0%, 0%, 0.423);
  background-blend-mode: overlay;
  display: grid;
  place-items: center;
  height: 200px;
  text-align: center;
  padding-top: 125px;
}

/*-----------------------------------*\
 * #TOUR SEARCH
\*-----------------------------------*/


#revhead {
  background-image: url("../assets/images/banner2.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-color: hsla(0, 0%, 0%, 0.423);
  background-blend-mode: overlay;
  display: grid;
  place-items: center;
  text-align: center;
}




/*-----------------------------------*\
 * #POPULAR
\*-----------------------------------*/
.popular-card .card-content {
  position: absolute;
  bottom: 20px;
  left: 20px;
  right: 20px;
  background: var(--white);
  border-radius: var(--radius-25);
  padding: 20px;
  box-shadow: 0 0 5px hsla(0, 0%, 0%, 0.341);

}


.popular-card {
  position: relative;
  overflow: hidden;
  border-radius: var(--radius-25);
  height: 430px;
}

.popular-card .card-img { height: 100%; }

.popular-card .card-img img {
  width: 100%;
  height: 75%;
  object-fit: cover;
}




.popular-card .card-rating {
  background: var(--bright-navy-blue);
  color: var(--white);
  position: absolute;
  top: 0;
  right: 25px;
  display: flex;
  align-items: center;
  gap: 1px;
  transform: translateY(-50%);
  padding: 6px 10px;
  border-radius: 20px;
  font-size: 14px;
}

.popular-card .card-subtitle {
  color: var(--blue-ncs);
  font-size: var(--fs-6);
  text-transform: uppercase;
  margin-bottom: 8px;
}




/*-----------------------------------*\
 * #PACKAGE
\*-----------------------------------*/



.card-meta-item { position: relative; }

.card-meta-item:not(:last-child)::after {
  content: "";
  position: absolute;
  top: 4px;
  right: -1px;
  bottom: 4px;
  width: 1px;
  background: hsla(0, 0%, 0%, 0.3);
}

.meta-box {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  padding-inline: 9px;
  color: var(--black-coral);
  font-size: var(--fs-8);
}

.meta-box > ion-icon {
  color: var(--bright-navy-blue);
  font-size: 13px;
}




/*-----------------------------------*\
 * #GALLERY
\*-----------------------------------*/

.gallery { padding-block: var(--section-padding); }

.gallery-list {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
}

.gallery-image {
  width: 100%;
  height: 100%;
  border-radius: var(--radius-15);
  overflow: hidden;
}

.gallery-item:nth-child(3) { grid-area: 1 / 2 / 3 / 3; }

.gallery-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}





/*-----------------------------------*\
 * #CTA
\*-----------------------------------*/

.cta {
  background: var(--bright-navy-blue);
  padding-block: var(--section-padding);
}






/*-----------------------------------*\
 * #FOOTER
\*-----------------------------------*/
.bg-foot-contact{
  background-color: #223544;
}



/*-----------------------------------*\
 * #GO TO TOP
\*-----------------------------------*/



/*-----------------------------------*\
 * #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for larger than 580px screen
 */


  /**
   * REUSED STYLE
   */



  /**
   * HEADER
   */



  /**
   * HERO
   */

  .hero {
    min-height: 800px;
    padding-top: 85px;
  }

  .hero-text { --fs-5: 15px; }

  .btn-group { gap: 20px; }



  /**
   * TOUR SEARCH
   */

  .tour-search-form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: flex-end;
    gap: 15px;
  }

  .tour-search-form .input-wrapper { margin-bottom: 0; }

  .tour-search-form .input-field { padding: 16px 20px; }

  .tour-search .btn {
    grid-column: span 2;
    margin-top: 20px;
  }



  /**
   * POPULAR
   */




  /**
   * FOOTER
   */


  




/**
 * responsive for larger than 768px screen
 */

@media (min-width: 768px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-5: 15px;

  }



  /**
   * REUSED STYLE
   */

  .container { max-width: 800px; }



  /**
   * HEADER
   */

  .helpline-box {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
  }

  .helpline-box .wrapper {
    display: block;
    color: var(--white);
    font-size: var(--fs-6);
  }

  .social-list { gap: 10px; }



  /**
   * POPULAR
   */

  .popular-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
    margin-bottom: 50px;
  }

  .popular-list > li:not(:last-child) { margin-bottom: 0; }



  /**
   * PACKAGE
   */



  /**
   * GALLERY
   */

  .gallery { padding-bottom: calc(var(--section-padding * 2)); }

  .gallery-list {
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }

  .gallery-image { border-radius: var(--radius-25); }



  /**
   * CTA
   */

  .cta .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .cta-content { width: calc(100% - 225px); }

  .cta .section-text { margin-inline: 0; }



  /**
   * FOOTER
   */

  .form-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 20px;
  }

  .footer-form .input-field { margin-bottom: 0; }

  .footer-form .btn { width: max-content; }

}





/**
 * responsive for larger than 992px screen
 */

@media (min-width: 992px) {

  /**
   * REUSED STYLE
   */

  .container { max-width: 1050px; }



  /**
   * HEADER
   */

  .header.active .header-top {
    position: unset;
    background: unset;
  }

  .nav-open-btn,
  .navbar-top { display: none; }

  .header-bottom { border-bottom: none; }

  .header.active .header-bottom {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: var(--white);
    color: var(--onyx);
    box-shadow: 0 2px 5px hsla(0, 0%, 0%, 0.08);
    transition: var(--transition);
  }

  .header-bottom .container { padding-block: 0; }

  .header .navbar { all: unset; }

  .navbar-list {
    border-top: none;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .navbar-list li { border-bottom: none; }

  .navbar-link {
    color: var(--white);
    --fs-4: 16px;
    font-weight: unset;
    text-transform: uppercase;
    padding: 20px 15px;
  }

  .header.active .navbar-link { color: var(--onyx); }

  .header.active .navbar-link:is(:hover, :focus) { color: var(--bright-navy-blue); }

  .header.active .social-link {
    color: var(--onyx);
    border-color: hsla(0, 0%, 0%, 0.15);
  }

  .overlay { display: none; }



  /**
   * HERO
   */

  .hero .container { max-width: 740px; }



  /**
   * TOUR SEARCH
   */

  .tour-search-form { grid-template-columns: repeat(5, 1fr); }

  .tour-search .btn {
    --padding: 15px;
    grid-column: unset;
    margin-top: 0;
  }



  /**
   * POPULAR
   */

  .popular-list { grid-template-columns: repeat(3, 1fr); }



  /**
   * PACKAGE
   */

  .meta-box { --fs-8: 13px; }

  .meta-box > ion-icon { font-size: 15px; }



  /**
   * CTA 
   */

  .cta .section-title { max-width: 25ch; }



  /**
   * FOOTER
   */

  .footer-top .container {
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
  }

  .footer-form { grid-column: unset; }

  .form-wrapper { flex-direction: column; }

  .footer-form .btn { width: 100%; }

}

.mheading {
  text-align: center;
  font-size: 36px;
  font-weight: bold;
  color: #2c3e50;
  margin-top: 20px;
  text-transform: uppercase;
  letter-spacing: 2px;
}

.mcontrols-container {
  text-align: center;
}

.mcontrols {
  display: inline-block;
}

.mcontrols label {
  font-size: 18px;
  color: #34495e;
  font-weight: 600;
  margin-right: 10px;
  display: inline-block;
}

#attractionSelect {
  background-color: #f2f2f2;
  color: #333;
  border: 1px solid #ccc;
  padding: 5px;
  border-radius: 4px;
}

.mview-button {
  background-color: #007bff;
  color: white;
  border: none;
  padding: 7px 15px;
  border-radius: 4px;
  cursor: pointer;
}

.mview-button:hover {
  background-color: #0056b3;
}

.mvideo-container {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 50px; /* Add space below the video container */
}


.mvideo-frame {
  width: 80%; /* Adjust as needed */
  height: 700px; /* Adjust as needed */
  max-width: 100%; /* Ensure it doesn't overflow */
  max-height: 100%; /* Ensure it doesn't overflow */
  background-color: black;
  border: none;
  display: inline-block;
  margin: 0 auto; /* Center the iframe */
}

.placeholder {
  width: 80%;
  height: 700px; /* Same height as video for consistency */
  max-width: 100%; /* Ensure the placeholder does not overflow */
  max-height: 100%; /* Ensure the placeholder does not overflow */
  background-color: #ddd;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  font-size: 1.2em;
  color: #555;
}
